OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepElement

# StepElement_SurfaceElementPurpose Class Reference

Representation of STEP SELECT type SurfaceElementPurpose
.

`#include <StepElement_SurfaceElementPurpose.hxx>`

Inheritance diagram for StepElement_SurfaceElementPurpose:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_SurfaceElementPurpose ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of SurfaceElementPurpose select type return 0 .
virtual Standard_EXPORT Standard_Integer | CaseMem (const Handle(StepData_SelectMember)&ent) const
| Recognizes a items of select member SurfaceElementPurposeMember 1 -> EnumeratedSurfaceElementPurpose 2 -> ApplicationDefinedElementPurpose 0 else .
virtual Standard_EXPORT Handle_StepData_SelectMember | NewMember () const
| Returns a new select member the type SurfaceElementPurposeMember .
Standard_EXPORT void | SetEnumeratedSurfaceElementPurpose (const StepElement_EnumeratedSurfaceElementPurpose aVal)
| Set Value for EnumeratedSurfaceElementPurpose .
Standard_EXPORT StepElement_EnumeratedSurfaceElementPurpose | EnumeratedSurfaceElementPurpose () const
| Returns Value as EnumeratedSurfaceElementPurpose (or Null if another type) .
Standard_EXPORT void | SetApplicationDefinedElementPurpose (const Handle(TCollection_HAsciiString)&aVal)
| Set Value for ApplicationDefinedElementPurpose .
Standard_EXPORT Handle_TCollection_HAsciiString | ApplicationDefinedElementPurpose () const
| Returns Value as ApplicationDefinedElementPurpose (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_SurfaceElementPurpose::StepElement_SurfaceElementPurpose | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_SurfaceElementPurpose::ApplicationDefinedElementPurpose | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepElement_SurfaceElementPurpose::CaseMem | ( | const Handle(StepData_SelectMember)& | ent | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Integer StepElement_SurfaceElementPurpose::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT StepElement_EnumeratedSurfaceElementPurpose StepElement_SurfaceElementPurpose::EnumeratedSurfaceElementPurpose | ( |  | ) | const

virtual Standard_EXPORT Handle_StepData_SelectMember StepElement_SurfaceElementPurpose::NewMember | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

void StepElement_SurfaceElementPurpose::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepElement_SurfaceElementPurpose::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepElement_SurfaceElementPurpose::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT void StepElement_SurfaceElementPurpose::SetApplicationDefinedElementPurpose | ( | const Handle(TCollection_HAsciiString)& | aVal | ) |

Standard_EXPORT void StepElement_SurfaceElementPurpose::SetEnumeratedSurfaceElementPurpose | ( | const StepElement_EnumeratedSurfaceElementPurpose | aVal | ) |

The documentation for this class was generated from the following file:

- StepElement_SurfaceElementPurpose.hxx